#include "mainwindow.h"
#include "ui_mainwindow.h"

#include <QFile>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
{
    setupUi(this);
    setWidgets();
}

MainWindow::~MainWindow()
{
}



newNameDlg::newNameDlg(QWidget *parent)
    : QWidget(parent)
{
    QUiLoader loader;
    QFile file("../newNameDlg.ui");
    if (file.open(QFile::ReadOnly)) {
        formWidget = loader.load(&file, this);
        file.close();

        ui_newNameLine = qFindChild<QLineEdit*>(this, "nameIns");

        QMetaObject::connectSlotsByName(this);
        formWidget->show();
    }
}

void newNameDlg::on_buttonBox_accepted(){emit signalExit();}

void MainWindow::setWidgets()
{
         newNameDlg *nName = new newNameDlg(this);
//	 nName->formWidget->hide();
         connect(nName, SIGNAL(signalExit()), this, SLOT(slotNewInsExit()));
}
